<html>
<script xsrc="prototype.js" type="text/javascript"></script>
<script>
function HicieronClick() {
var opciones = {
// función a llamar cuando reciba la respuesta
	onSuccess: function(t) {
	datos = eval(t.responseText);
	procesar(datos);
	}
}
new Ajax.Request('fondo.php', opciones);
}
function procesar(datos) {
// guardo el div donde voy a escribir los datos en una variable
contenedor = document.getElementById("lista");texto = "";
for (var i=0; i < datos.length; i++) {
dato = datos[i];texto += "Dato "+i+"  -   campo1:"+dato.campo1+" campo2:"+dato.campo2+"";
}
contenedor.innerHTML = texto;
}
</script>
<body>
<h1>Prueba de AJAX!</h1>
<div id="Boton" onClick="HicieronClick()">Hace click sobre este texto para llenar la lista</div>
<div id=lista>En este div se van a mostrar los datos que se reciben por AJAX.</div>
</body>
</html>